package com.mall.client;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 客户端启动类
 * @Author: lzh
 * @CreateTime: 2024-04-25  10:56
 * @Description: TODO
 * @Version: 1.0
 */
@SpringBootApplication
@EnableScheduling
@MapperScan("com.mall.client.mapper")
@ComponentScan(basePackages = "com.mall")
public class ClientApplication {
    public static void main(String[] args) {
        SpringApplication.run(ClientApplication.class, args);
    }
}
