package com.mall.client.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.Sku;
import com.mall.common.domain.UserInfo;
import com.mall.common.domain.request.SkuRequest;
import com.mall.common.domain.vo.SkuVo;
import com.mall.common.result.Result;

/**
 * SkuService接口
 */
public interface SkuService extends IService<Sku> {
    Result selectSku(SkuVo skuVo);

    Result<UserInfo> info();

    Result insertSku(SkuRequest skuRequest);

    Result infoSku(Long id);

    Result updateSku(SkuRequest skuRequest);
}
