package com.mall.common.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 品牌实体类
 * @Author: lzh
 * @CreateTime: 2024-04-25  11:56
 * @Description: TODO
 * @Version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Brand {
    /**
     * 品牌id
     */
    private Long id;
    /**
     * 品牌名
     */
    private String name;
    /**
     * 品牌logo
     */
    private String logo;
    /**
     * 显示状态[0-不显示；1-显示]
     */
    private Integer status;
    /**
     * 检索首字母
     */
    private String firstLetter;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 备注
     */
    private String remark;
}
