package com.mall.common.domain.vo;

import com.mall.common.domain.Brand;
import com.mall.common.domain.Sku;
import com.mall.common.domain.Spu;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Locale;

/**
 * @Author: lzh
 * @CreateTime: 2024-04-28  15:34
 * @Description: TODO
 * @Version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SkuVo {
    /**
     * spuId
     */
    private Long spuId;
    /**
     * 分类id
     */
    private Long categoryId;
    /**
     * 品牌id
     */
    private Long brandId;

    private List<Sku> skuList;

    private List<Spu> spuList;

    private List<Brand> brandList;

    private Integer PageNum=1;
    private Integer PageSize=10;
}
